Bug 1573592 - [abrt] xorg-x11-server-Xorg: OsLookupColor(): Display server crashed
Summary: [abrt] xorg-x11-server-Xorg: OsLookupColor(): Display server crashed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:df1aac2b7c1bf5ed55b948453cb...
: 1585773 1586297 1594364 1597799 1609144 1644376 1654049 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 18:26 UTC by Hawk
Modified: 2020-11-08 22:34 UTC (History)
45 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:42:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.02 KB, text/plain)
2018-05-01 18:26 UTC, Hawk
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2018-05-01 18:26 UTC, Hawk
no flags Details
File: dmesg (69.02 KB, text/plain)
2018-05-01 18:26 UTC, Hawk
no flags Details
File: dso_list (355 bytes, text/plain)
2018-05-01 18:26 UTC, Hawk
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (371 bytes, application/octet-stream)
2018-05-01 18:26 UTC, Hawk
no flags Details
File: usr_share_xorg_conf_d.tar.gz (2.08 KB, application/octet-stream)
2018-05-01 18:26 UTC, Hawk
no flags Details

Description Hawk 2018-05-01 18:26:18 UTC
Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.16.5-300.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fbd7ac1cfff]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7fbd7a882f4b]
3: /lib64/libc.so.6 (abort+0x12b) [0x7fbd7a86d591]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7fbd7a86d461]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7fbd7a87b6c2]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7fbd742d24cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7fbd742d253b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7fbd742db928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7fbd742dc5a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7fbd742cbaf9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7fbd7a86f1bb]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 1 Hawk 2018-05-01 18:26:23 UTC
Created attachment 1429430 [details]
File: backtrace

Comment 2 Hawk 2018-05-01 18:26:29 UTC
Created attachment 1429431 [details]
File: cpuinfo

Comment 3 Hawk 2018-05-01 18:26:31 UTC
Created attachment 1429432 [details]
File: dmesg

Comment 4 Hawk 2018-05-01 18:26:32 UTC
Created attachment 1429433 [details]
File: dso_list

Comment 5 Hawk 2018-05-01 18:26:33 UTC
Created attachment 1429434 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 6 Hawk 2018-05-01 18:26:34 UTC
Created attachment 1429435 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 7 ap.marek 2018-05-24 18:58:03 UTC
Description of problem:
This display server crash happened with an nvidia graphics card while upgrading to the latest linux kernel via dnf (kernel 4.16.11 I believe).
I had the nvidia driver preinstalled on a system with a GT850M graphics card and ran my update.
When this occurred my system forced shutdown when verifying the upgrade.

After a reboot you should not see a GNOME 3 login shell. you can enter the console (which I did and fixed the issue)

steps I took to fix the issue:
1) removed the NVIDIA driver
2) reinstalled GRUB2 config file
3) removed nouveau from blacklist.conf in the grub entry.

I'm looking for a more permanent fix here.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.16.8-300.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f14a6d82fff]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7f14a69e8f4b]
3: /lib64/libc.so.6 (abort+0x12b) [0x7f14a69d3591]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7f14a69d3461]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7f14a69e16c2]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7f14a04464cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7f14a044653b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7f14a044f928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7f14a04505a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7f14a043faf9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7f14a69d51bb]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 8 Nicholas 2018-06-04 17:00:05 UTC
*** Bug 1585773 has been marked as a duplicate of this bug. ***

Comment 9 Nicholas 2018-06-05 23:42:40 UTC
*** Bug 1586297 has been marked as a duplicate of this bug. ***

Comment 10 Oleksandr 2018-06-08 17:09:16 UTC
Description of problem:
Issue was happen on login to Fedora. I typed password few times. Seems each time I wrote correct password, 
but Fedora doesn't pass login. I typed Esc key to cancel graphic mode, I wanted type password with help terminal,
 but graphic mode was still activate. So I typed slowly password again, it didn't work. I typed passwork one more time
and finally Fedora pass login. 
Than I saw two crash reporsts: one for nvidia server and second one https://retrace.fedoraproject.org/faf/reports/2168461/

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.16.13-300.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fc1ab4aa00f]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7fc1ab10ff2b]
3: /lib64/libc.so.6 (abort+0x12b) [0x7fc1ab0fa561]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7fc1ab0fa431]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7fc1ab108692]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7fc1a4b6b4cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7fc1a4b6b53b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7fc1a4b74928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7fc1a4b755a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7fc1a4b64af9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7fc1ab0fc18b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 11 Nicholas 2018-06-22 17:32:09 UTC
*** Bug 1594364 has been marked as a duplicate of this bug. ***

Comment 12 Roland Askew 2018-07-02 01:17:09 UTC
Description of problem:
Was running youtube for a while in Firefox, with Nautilus open.

1. Opened another firefox window, with Jupyter Lab (Anaconda Python 3.6.6) running, 
2. Started VLC Media Player with a tutorial Video.

- <ALT-TAB> would bring up the selected window, but nothing could be interacted with (clicked or otherwise)
- Clicking on window names listed in the GNOME taskbar (bottom of screen) did nothing.

This might be a combination of VLC buffering plus Jupyter Lab preparing.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.16.15-300.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f957a7b900f]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7f957a41ef2b]
3: /lib64/libc.so.6 (abort+0x12b) [0x7f957a409561]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7f957a409431]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7f957a417692]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7f9573e7a4cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7f9573e7a53b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7f9573e83928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7f9573e845a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7f9573e73af9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7f957a40b18b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 13 ECHACHAGUA 2018-07-03 16:01:35 UTC
*** Bug 1597799 has been marked as a duplicate of this bug. ***

Comment 14 Mario Alberto 2018-07-12 14:33:08 UTC
Description of problem:
installing nvidia drivers

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.17.3-200.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fd18fe0600f]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7fd18fa6bf2b]
3: /lib64/libc.so.6 (abort+0x12b) [0x7fd18fa56561]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7fd18fa56431]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7fd18fa64692]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7fd18c1094cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7fd18c10953b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7fd18c112928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7fd18c1135a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7fd18c102af9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7fd18fa5818b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 15 Van2uz 2018-07-15 12:36:17 UTC
Description of problem:
	

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.17.5-200.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f5f5e92800f]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7f5f5e58df2b]
3: /lib64/libc.so.6 (abort+0x12b) [0x7f5f5e578561]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7f5f5e578431]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7f5f5e586692]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7f5f57fe94cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7f5f57fe953b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7f5f57ff2928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7f5f57ff35a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7f5f57fe2af9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7f5f5e57a18b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 16 Ivan 2018-07-27 06:41:15 UTC
*** Bug 1609144 has been marked as a duplicate of this bug. ***

Comment 17 Victor Cervantes 2018-08-12 03:45:19 UTC
Description of problem:
Just tried to login. Got the crash notification after login

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.17.12-200.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f664c34e00f]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7f664bfb3feb]
3: /lib64/libc.so.6 (abort+0x12b) [0x7f664bf9e5c1]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7f664bf9e491]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7f664bfac752]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7f6645b544cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7f6645b5453b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7f6645b5d928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7f6645b5e5a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7f6645b4daf9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7f664bfa024b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 18 Chad Feller 2018-09-27 05:20:35 UTC
Description of problem:
Logged out and back in - GDM seemed to hang, and then this report was waiting on login.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.18.9-200.fc28.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fa60a4c8fff]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7fa60a12eeab]
3: /lib64/libc.so.6 (abort+0x123) [0x7fa60a1195b9]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7fa60a119491]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7fa60a127612]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7fa603c284cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7fa603c2853b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7fa603c31928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7fa603c325a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7fa603c21af9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7fa60a11b11b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 19 Marlon oliveira 2018-10-11 21:14:28 UTC
Description of problem:
Problem has occurred since I installed Fedora on my Notebook, Dell 7567 - i7th Processor, and nvidia Gtx 1050ti.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.18.12-200.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f85ebf9dfff]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7f85ebc03eab]
3: /lib64/libc.so.6 (abort+0x123) [0x7f85ebbee5b9]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7f85ebbee491]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7f85ebbfc612]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7f85e56f94cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7f85e56f953b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7f85e5702928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7f85e57035a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7f85e56f2af9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7f85ebbf011b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 20 Vicente Marçal 2018-10-19 22:35:10 UTC
Description of problem:
Ocorreu na inicialização

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.18.14-200.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fc0353f0fff]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7fc035056eab]
3: /lib64/libc.so.6 (abort+0x123) [0x7fc0350415b9]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7fc035041491]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7fc03504f612]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7fc02eb4c4cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7fc02eb4c53b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7fc02eb55928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7fc02eb565a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7fc02eb45af9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7fc03504311b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 21 yuhan 2018-10-23 11:50:31 UTC
Description of problem:
Boot the system

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-8.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.18.14-200.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d5bd]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f4727faefff]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7f4727c14eab]
3: /lib64/libc.so.6 (abort+0x123) [0x7f4727bff5b9]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7f4727bff491]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7f4727c0d612]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x636d) [0x7f472170a4cd]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x63ab) [0x7f472170a53b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xad98) [0x7f4721713928]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb3f1) [0x7f47217145a1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e99) [0x7f4721703af9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8c1b]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520ea6]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x439019]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7f4727c0111b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 22 Jürgen Schwarze 2018-10-30 16:35:10 UTC
*** Bug 1644376 has been marked as a duplicate of this bug. ***

Comment 23 Trisuli 2018-11-27 07:44:22 UTC
Description of problem:
problem occured after upgrade my system to the newest fedora release

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-10.fc28

Additional info:
reporter:       libreport-2.9.6
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.19.2-200.fc28.x86_64
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d77d]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7ff7b767dfff]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7ff7b72e3eab]
3: /lib64/libc.so.6 (abort+0x123) [0x7ff7b72ce5b9]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7ff7b72ce491]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7ff7b72dc612]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x635d) [0x7ff7b2aca4ad]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x639b) [0x7ff7b2aca51b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xada8) [0x7ff7b2ad3948]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb401) [0x7ff7b2ad45c1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e79) [0x7ff7b2ac3ab9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8cfb]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520f66]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x438fe9]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7ff7b72d011b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 24 Nicholas 2018-11-27 22:45:23 UTC
*** Bug 1654049 has been marked as a duplicate of this bug. ***

Comment 25 Gilles 2019-02-25 18:32:07 UTC
Description of problem:
Certainly due to Optimus.
I am using a laptop with a GTX 970 + an Intel i7-6700 and the proprietary Nvidia drivers (nouveau is blacklisted).
I had some X crashes after unsuspending. I have tried installing fedora 29 from USB but I did not succeed (tried everything I could think of but could not reach the installer screen).

Version-Release number of selected component:
xorg-x11-server-Xorg-1.19.6-10.fc28

Additional info:
reporter:       libreport-2.9.5
crash_function: OsLookupColor
executable:     /usr/libexec/Xorg
kernel:         4.20.8-100.fc28.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x13d) [0x59d77d]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f23920350cf]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7f2391c9aeab]
3: /lib64/libc.so.6 (abort+0x123) [0x7f2391c855b9]
4: /lib64/libc.so.6 (__assert_fail_base.cold.0+0xf) [0x7f2391c85491]
5: /lib64/libc.so.6 (__assert_fail+0x42) [0x7f2391c93612]
6: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x635d) [0x7f238d5494ad]
7: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x639b) [0x7f238d54951b]
8: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xada8) [0x7f238d552948]
9: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0xb401) [0x7f238d5535c1]
10: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x2e79) [0x7f238d542ab9]
11: /usr/libexec/Xorg (InitExtensions+0x1fb) [0x4a8cfb]
12: /usr/libexec/Xorg (AddTraps+0x8f36) [0x520f66]
13: /usr/libexec/Xorg (InitFonts+0x4c9) [0x438fe9]
14: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7f2391c8711b]
15: /usr/libexec/Xorg (_start+0x2a) [0x42290a]

Comment 26 Ben Cotton 2019-05-02 19:51:56 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Ben Cotton 2019-05-28 23:42:54 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.